from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.sheet import XSheetCondition

@runtime_checkable
class XSheetCondition2(XSheetCondition, Protocol):
    def getConditionOperator(self) -> int: ...
    def setConditionOperator(self, nOperator: int) -> None: ...
